/*!
FullCalendar v6.0.0-beta.1
Docs & License: https://fullcalendar.io/
(c) 2022 Adam Shaw
*/
var FullCalendarBootstrap5 = (function (exports, common) {
  'use strict';

  function styleInject(css, ref) {
    if ( ref === void 0 ) ref = {};
    var insertAt = ref.insertAt;

    if (!css || typeof document === 'undefined') { return; }

    var head = document.head || document.getElementsByTagName('head')[0];
    var style = document.createElement('style');
    style.type = 'text/css';

    if (insertAt === 'top') {
      if (head.firstChild) {
        head.insertBefore(style, head.firstChild);
      } else {
        head.appendChild(style);
      }
    } else {
      head.appendChild(style);
    }

    if (style.styleSheet) {
      style.styleSheet.cssText = css;
    } else {
      style.appendChild(document.createTextNode(css));
    }
  }

  var css_248z = "\n\n  .fc-theme-bootstrap5 a:not([href]) {\n    color: inherit;\n    text-decoration: inherit;\n  }\n\n.fc-theme-bootstrap5 .fc-list,\n  .fc-theme-bootstrap5 .fc-scrollgrid,\n  .fc-theme-bootstrap5 td,\n  .fc-theme-bootstrap5 th {\n    border: 1px solid var(--bs-gray-400);\n  }\n\n.fc-theme-bootstrap5 {\n\n  /* HACK: reapply core styles after highe-precedence border statement above */\n}\n\n.fc-theme-bootstrap5 .fc-scrollgrid {\n    border-right-width: 0;\n    border-bottom-width: 0;\n  }\n\n.fc-theme-bootstrap5-shaded {\n  background-color: var(--bs-gray-200);\n}\n";
  styleInject(css_248z);

  class BootstrapTheme extends common.Theme {
  }
  BootstrapTheme.prototype.classes = {
      root: 'fc-theme-bootstrap5',
      tableCellShaded: 'fc-theme-bootstrap5-shaded',
      buttonGroup: 'btn-group',
      button: 'btn btn-primary',
      buttonActive: 'active',
      popover: 'popover',
      popoverHeader: 'popover-header',
      popoverContent: 'popover-body',
  };
  BootstrapTheme.prototype.baseIconClass = 'bi';
  BootstrapTheme.prototype.iconClasses = {
      close: 'bi-x-lg',
      prev: 'bi-chevron-left',
      next: 'bi-chevron-right',
      prevYear: 'bi-chevron-double-left',
      nextYear: 'bi-chevron-double-right',
  };
  BootstrapTheme.prototype.rtlIconClasses = {
      prev: 'bi-chevron-right',
      next: 'bi-chevron-left',
      prevYear: 'bi-chevron-double-right',
      nextYear: 'bi-chevron-double-left',
  };
  // wtf
  BootstrapTheme.prototype.iconOverrideOption = 'buttonIcons'; // TODO: make TS-friendly
  BootstrapTheme.prototype.iconOverrideCustomButtonOption = 'icon';
  BootstrapTheme.prototype.iconOverridePrefix = 'bi-';
  const plugin = common.createPlugin({
      themeClasses: {
          bootstrap5: BootstrapTheme,
      },
  });

  common.globalPlugins.push(plugin);

  exports.BootstrapTheme = BootstrapTheme;
  exports.default = plugin;

  Object.defineProperty(exports, '__esModule', { value: true });

  return exports;

}({}, FullCalendar));
